Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::PanelGuiElement::CmdTiling Class Reference

Command object for specifying tiling (see ParamCommand). More...

`#include <OgrePanelGuiElement.h>`

Inheritance diagram for Ogre::PanelGuiElement::CmdTiling:

[legend]
List of all members.

## Public Methods

String | doGet (const void *target) const
void | doSet (void *target, const String &val)

## Detailed Description

Command object for specifying tiling (see ParamCommand).

Definition at line 94 of file OgrePanelGuiElement.h.

## Member Function Documentation

String Ogre::PanelGuiElement::CmdTiling::doGet | ( | const void * | target | ) | const`[virtual]`

| Implements Ogre::ParamCommand. Definition at line 326 of file OgrePanelGuiElement.cpp. References Ogre::PanelGuiElement::getTileX(), Ogre::PanelGuiElement::getTileY(), and Ogre::String.

void Ogre::PanelGuiElement::CmdTiling::doSet | ( | void * | target,
|  | const String & | val
| ) | `[virtual]`

| Implements Ogre::ParamCommand. Definition at line 335 of file OgrePanelGuiElement.cpp. References Ogre::Real, Ogre::String, and Ogre::ushort.

The documentation for this class was generated from the following files:

- OgrePanelGuiElement.h
- OgrePanelGuiElement.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:18 2004